#include <iostream.h>
#include "bankroll.h"
#include "bet.h"

BankRoll::BankRoll(int initial)
    : myMoney(initial)
{
    
}

void BankRoll::report() const
{
    cout << "there is " << myMoney << " in the bankroll" << endl;
}

bool BankRoll::isBetOk(int amount) const
{
    return amount <= myMoney;
}

bool BankRoll::isSolvent() const
// postcondition: return true iff bankroll is positive    
{
    return myMoney > 0;
}

void BankRoll::processBet(Bet * b)
// postcondition: bankroll adjusted by bet (+ for win, - for loss)    
{
    myMoney += b->deltaMoney();
}

