#ifndef _BANKROLL_H
#define _BANKROLL_H

// class represents a bankroll
//
// Owen Astrachan 5/1/97
//
// BankRoll(int initial) -- construct bankroll with initial dollars
//
// bool isBetOk(int amount) -- return true if amount is legal bet
//                             that can be covered by BankRoll
//
// void report()            -- print information about bankroll
//
// processBet(Bet * b)      -- adjust bankroll based on Bet b

class Bet;

class BankRoll
{
  public:
    BankRoll(int initial);               // initial bankroll
    bool isBetOk(int amount) const;      // can this wager be made?
    bool isSolvent()         const;      // any money left?
    void report()            const;      // hook for messages
    void processBet(Bet * b);            // determine status of bet
    
  private:
    
    int myMoney;
};


#endif
